Get Templates from Library

API to fetch pre approved Meta Library Templates

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Rate Limit

10 Requests per Minute


Sample Request

curl --location 'https://partner.gupshup.io/partner/app/:appId/template/metalibrary?elementName=&industry=&languageCode=&topic=&usecase=' \
--header 'Authorization : {{PARTNER_APP_TOKEN}}'

Sample Response

{
    "status": "success",
    "templates": [
        {
            "category": "UTILITY",
            "containerMeta": "sampleData",
            "data": "sampleData",
            "elementName": "account_creation_confirmation_3",
            "industry": "E_COMMERCE,FINANCIAL_SERVICES",
            "languageCode": "nb",
            "topic": "ACCOUNT_UPDATES",
            "usecase": "ACCOUNT_CREATION_CONFIRMATION"
        }
   ]  
}      

Request Parameters

KeyDescriptionConstraints
Headers
PARTNER_APP_TOKENApp Access Token issued post partner loginShould be a valid partner app access token belonging to the passed appId
Query Params
elementNameName of elementMeta library template name - Optional
industryName of industryPossible values E_COMMERCE, FINANCIAL_SERVICES - Optional
languageCodeLanguage code of the meta library templateOptional
topicTopic of the meta library templatePossible values ACCOUNT_UPDATES, CUSTOMER_FEEDBACK, ORDER_MANAGEMENT, PAYMENTS - Optional
usecaseUse case of the meta library templatePossible values ACCOUNT_CREATION_CONFIRMATION, AUTO_PAY_REMINDER, DELIVERY_CONFIRMATION, DELIVERY_FAILED, DELIVERY_UPDATE, FEEDBACK_SURVEY, FIXED_TEMPLATE_PRICE_TEST, FRAUD_ALERT, LOW_BALANCE_WARNING, ORDER_ACTION_NEEDED, ORDER_CONFIRMATION, ORDER_DELAY, ORDER_OR_TRANSACTION_CANCEL, ORDER_PICK_UP, PAYMENT_ACTION_REQUIRED, PAYMENT_CONFIRMATION, PAYMENT_DUE_REMINDER, PAYMENT_NOTICE, PAYMENT_OVERDUE, PAYMENT_REJECT_FAIL, PAYMENT_SCHEDULED, RECEIPT_ATTACHMENT, RETURN_CONFIRMATION, SHIPMENT_CONFIRMATION, STATEMENT_ATTACHMENT, STATEMENT_AVAILABLE, TRANSACTION_ALERT - Optional
Path Params
appIdApp Id for the app that is linked to the Partner Account

Status Codes

Status CodeResponseComments
Success
200{
"status": "success",
"templates": [
{
"category": "UTILITY",
"containerMeta": "sampleData",
"data": "sampleData",
"elementName": "account_creation_confirmation_3",
"industry": "E_COMMERCE,FINANCIAL_SERVICES",
"languageCode": "nb",
"topic": "ACCOUNT_UPDATES",
"usecase": "ACCOUNT_CREATION_CONFIRMATION"
},
If templates are found for the given filter(s)
200{
"status": "success",
"templates": []
}
If no templates are found for the given filter(s)
Error
401{
"message": "Authentication Failed",
"status": "error"
}
429{
"status": "error",
"message": "Too Many Requests"
}
10 Requests per Minute
500{
"status": "error",
"message": "Internal Server Error"
}
For any Internal Error
Path Params
string
required
Query Params
requestParams
object
required
Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json